Skip to main content

Delete a Task

Delete a task

Contents

Overview

  • Endpoint URL: https://{Services API hostname}/tasks/{id}
  • Request method: HTTP DELETE
  • Auth required: yes

Delete a task. The task will no longer be executed.

Version-specific information

The following version-specific changes apply to this endpoint:

VersionChange details
N/AN/A

Permissions and Authentication

This endpoint requires chain-scoped authentication on the Services API. See the authentication page for more details on authentication methods. The following authentication types are permitted:

  • Privileged authentication: the use of privileged authentication is permitted for this endpoint.
  • Admin authentication: the use of admin authentication is permitted. The performing user needs to have the appropriate access level for the chain.

Headers

The following headers can/must be passed to the API call:

ParameterDescription
N/AN/A

URL parameters

ParameterTypeRequiredDescription
idintegerrequiredThe ID of the task.

Sample request

Returns HTTP status 204 No Content on success.

curl -X DELETE 'https://{Services API hostname}/tasks/12345' \
-H 'Authorization: Bearer ACCESS_TOKEN_ID:ACCESS_TOKEN_SECRET'

Possible error responses

The following represents a list of possible error responses for this endpoint:

ConditionDescription
Task not foundNo task exists with the specified ID for this chain.
Authentication failureNo valid authentication provided or insufficient permissions.